Unit ppackdll;
{-------------------------------------------------}
{                                                 }
{                                                 }
{ This code was written by : Bauer Karl           }
{                                                 }
{ This code is copyright 1998 by                  }
{       (c)Bauer Karl                             }
{                                                 }
{ -------- FREEWARE !!! ----------                }
{-------------------------------------------------}

interface


{$IFDEF WIN32}
uses
  Windows, Messages, SysUtils, Classes, Forms;
{$ELSE}
uses
  Winprocs, Wintypes, Messages, SysUtils, Classes, Forms;
{$ENDIF}


type
  TPPacker = class(TComponent)
  private
    { Private Declarations }
    FInputFile: string;
    FOutputFile: string;
  protected
    { Protected Declarations }
  public
    { Public Declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure DoCompressFile; dynamic;
    procedure DoExpandFile; dynamic;
  published
    property InputFile: string read FInputFile write FInputFile;
    property OutputFile: string read FOutputFile write FOutputFile;
  end;

procedure Register;

implementation

{Dll import routinen}
procedure CompressFile(von, nach: String); far; external 'PPACKER' index 1;
procedure ExpandFile(von, nach: String); far; external 'PPACKER' index 2;
{Dll import routinen ende}

{--------------------------------------}
{ TPPacker.Create                       }
{--------------------------------------}
constructor TPPacker.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
end;

{--------------------------------------}
{ TPPacker.Destroy                      }
{--------------------------------------}
destructor TPPacker.Destroy;
begin
  inherited Destroy;
end;

{--------------------------------------}
{ TPPacker.DoCompressFile               }
{--------------------------------------}
 procedure TPPacker.DoCompressFile;
begin
CompressFile(FInputFile, FOutputFile);
end;

{--------------------------------------}
{ TPPacker.DoExpandFile                 }
{--------------------------------------}
 procedure TPPacker.DoExpandFile;
begin
ExpandFile(FInputFile, FOutputFile);
end;

{--------------------------------------}
{ Register                             }
{--------------------------------------}
procedure Register;
begin
  RegisterComponents('Freeware', [TPPacker]);
end;

end.
